Skip to main content
`Ctrl`+`K`

# TaoMonitorConstraintNorm

same as `TaoMonitorDefault()` except it prints the norm of the constraint function.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorConstraintNorm(Tao tao, void *ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - `PetscViewer` context or `NULL`

## Options Database Key

- -tao_monitor_constraint_norm - monitor the constraints

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefault()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages